Subject: Re: tg3 issues

From: "Michael Chan" <[email-masked]>
Date: Fri, 20 Jul 2007 12:34:21 -0700

On Fri, 2007-07-20 at 18:59 +0200, patric wrote:

> Thanks... That's a confirmation on what i  suspected.. I think i'll dig 
> into the code instead and try to figure out some way of making it work a 
> bit better for my setup atleast...
> I'll post a patch later if i get something working... Btw, do you have 
> any timings on how long it takes for the cards to get a lock on the link?
> 

Serdes link comes up very fast.  The clause 37 autoneg involves going
through a few states and exchanging base pages and optional next pages.
Each state completes in 10 msec, so the whole autoneg should complete in
roughly 100 msec or so.  But because it is done in software for these
older cards, it can take much longer because it can get out-of-sync.